#ifndef YYERRCODE
#define YYERRCODE 256
#endif

#define L_EOS 257
#define L_IPADDR 258
#define L_NUMBER 259
#define L_STRING 260
#define L_QSTRING 261
#define L_END_INCLUDE 262
#define T_INCLUDE 263
#define T_OPTIONS 264
#define T_DIRECTORY 265
#define T_PIDFILE 266
#define T_NAMED_XFER 267
#define T_DUMP_FILE 268
#define T_STATS_FILE 269
#define T_MEMSTATS_FILE 270
#define T_FAKE_IQUERY 271
#define T_RECURSION 272
#define T_FETCH_GLUE 273
#define T_HITCOUNT 274
#define T_PREFERRED_GLUE 275
#define T_QUERY_SOURCE 276
#define T_LISTEN_ON 277
#define T_PORT 278
#define T_ADDRESS 279
#define T_RRSET_ORDER 280
#define T_ORDER 281
#define T_NAME 282
#define T_CLASS 283
#define T_CONTROLS 284
#define T_INET 285
#define T_UNIX 286
#define T_PERM 287
#define T_OWNER 288
#define T_GROUP 289
#define T_ALLOW 290
#define T_DATASIZE 291
#define T_STACKSIZE 292
#define T_CORESIZE 293
#define T_DEFAULT 294
#define T_UNLIMITED 295
#define T_FILES 296
#define T_VERSION 297
#define T_HOSTNAME 298
#define T_HOSTSTATS 299
#define T_HOSTSTATSMAX 300
#define T_DEALLOC_ON_EXIT 301
#define T_TRANSFERS_IN 302
#define T_TRANSFERS_OUT 303
#define T_TRANSFERS_PER_NS 304
#define T_TRANSFER_FORMAT 305
#define T_MAX_TRANSFER_TIME_IN 306
#define T_SERIAL_QUERIES 307
#define T_ONE_ANSWER 308
#define T_MANY_ANSWERS 309
#define T_NOTIFY 310
#define T_EXPLICIT 311
#define T_NOTIFY_INITIAL 312
#define T_AUTH_NXDOMAIN 313
#define T_MULTIPLE_CNAMES 314
#define T_USE_IXFR 315
#define T_MAINTAIN_IXFR_BASE 316
#define T_CLEAN_INTERVAL 317
#define T_INTERFACE_INTERVAL 318
#define T_STATS_INTERVAL 319
#define T_MAX_LOG_SIZE_IXFR 320
#define T_HEARTBEAT 321
#define T_USE_ID_POOL 322
#define T_MAX_NCACHE_TTL 323
#define T_HAS_OLD_CLIENTS 324
#define T_RFC2308_TYPE1 325
#define T_LAME_TTL 326
#define T_MIN_ROOTS 327
#define T_TREAT_CR_AS_SPACE 328
#define T_EDNS_UDP_SIZE 329
#define T_LOGGING 330
#define T_CATEGORY 331
#define T_CHANNEL 332
#define T_SEVERITY 333
#define T_DYNAMIC 334
#define T_FILE 335
#define T_VERSIONS 336
#define T_SIZE 337
#define T_SYSLOG 338
#define T_DEBUG 339
#define T_NULL_OUTPUT 340
#define T_PRINT_TIME 341
#define T_PRINT_CATEGORY 342
#define T_PRINT_SEVERITY 343
#define T_SORTLIST 344
#define T_TOPOLOGY 345
#define T_SERVER 346
#define T_LONG_AXFR 347
#define T_BOGUS 348
#define T_TRANSFERS 349
#define T_KEYS 350
#define T_SUPPORT_IXFR 351
#define T_EDNS 352
#define T_ZONE 353
#define T_IN 354
#define T_CHAOS 355
#define T_HESIOD 356
#define T_TYPE 357
#define T_MASTER 358
#define T_SLAVE 359
#define T_STUB 360
#define T_RESPONSE 361
#define T_HINT 362
#define T_MASTERS 363
#define T_TRANSFER_SOURCE 364
#define T_PUBKEY 365
#define T_ALSO_NOTIFY 366
#define T_DIALUP 367
#define T_FILE_IXFR 368
#define T_IXFR_TMP 369
#define T_TRUSTED_KEYS 370
#define T_ACL 371
#define T_ALLOW_UPDATE 372
#define T_ALLOW_QUERY 373
#define T_ALLOW_TRANSFER 374
#define T_ALLOW_RECURSION 375
#define T_BLACKHOLE 376
#define T_SEC_KEY 377
#define T_ALGID 378
#define T_SECRET 379
#define T_CHECK_NAMES 380
#define T_WARN 381
#define T_FAIL 382
#define T_IGNORE 383
#define T_FORWARD 384
#define T_FORWARDERS 385
#define T_ONLY 386
#define T_FIRST 387
#define T_IF_NO_ANSWER 388
#define T_IF_NO_DOMAIN 389
#define T_YES 390
#define T_TRUE 391
#define T_NO 392
#define T_FALSE 393
typedef union {
	char *			cp;
	int			s_int;
	long			num;
	u_long			ul_int;
	u_int16_t		us_int;
	struct in_addr		ip_addr;
	ip_match_element	ime;
	ip_match_list		iml;
	rrset_order_list	rol;
	rrset_order_element	roe;
	struct dst_key *	keyi;
	enum axfr_format	axfr_fmt;
} YYSTYPE;
extern YYSTYPE yylval;
